perl-Logic-Minimizer-1.00-alt1.noarch.rpm


Advertisement

Description

perl-Logic-Minimizer - Parent class for Logic minimizers like Quine-McCluskey

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Logic-Minimizer-1.00-alt1.noarch.rpm
Package name perl-Logic-Minimizer
Package version 1.00
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 35.92 KB
Installed size 35.92 KB
This is the base class for logic minimizers that are used by
the Logic::TruthTable manpage. You do not need to use this class (or
indeed read any further) unless you are creating a logic
minimizer package.
package Algorithm::SomethingNiftyLikeEspresso;
extends 'Logic::Minimizer';
(`Algorithm::SomethingNiftyLikeEspresso' has `Logic::Minimizer'
as its base class, which is required if `Logic::TruthTable' is to
use it.)
Then, either use the package directly in your program:
my $fn = Algorithm::SomethingNiftyLikeEspresso->new(
width => 4,
minterms => [1, 8, 9, 14, 15],
dontcares => [2, 3, 11, 12]
);
...
or as a algorithm choice in `Logic::TruthTable':
my $tt = Logic::TruthTable->new(
width => 4,
algorithm => 'SomethingNiftyLikeEspresso',
columns => [
{
minterms => [1, 8, 9, 14, 15],
dontcares => [2, 3, 11, 12],
}
{
minterms => [4, 5, 6, 10, 13],
dontcares => [2, 3, 11, 12],
}
],
);
This class provides the attributes and some of the methods for your
minimizer class.

Alternatives

Package Version Architecture Repository
perl-Logic-Minimizer - - -

Requires

Name Value
/usr/share/perl5 -
perl(List/Compare/Functional.pm) >= 0.530
perl(Moose.pm) >= 2.160
perl(namespace/autoclean.pm) >= 0.160
perl-base >= 1:5.16.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Logic/Minimizer.pm) = 1.0
perl-Logic-Minimizer = 1.00-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Logic-Minimizer-1.00-alt1.noarch.rpm
Source Package perl-Logic-Minimizer-1.00-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Logic-Minimizer rpm package:
    # sudo apt-get install perl-Logic-Minimizer

Files

Path
/usr/share/doc/perl-Logic-Minimizer-1.00/Changes
/usr/share/doc/perl-Logic-Minimizer-1.00/LICENSE
/usr/share/doc/perl-Logic-Minimizer-1.00/README.md
/usr/share/perl5/Logic/Minimizer.pm

See Also

Package Description
perl-Logic-Tools-1.00-alt1.noarch.rpm The great new Logic::Tools!
perl-Logwatch-RecordTree-2.056-alt1.noarch.rpm an object to collect and print Logwatch events
perl-Loompa-0.51-alt1.noarch.rpm Lightweight object-oriented miniature Perl assistant
perl-Loop-Control-1.100861-alt1.noarch.rpm FIRST and NEXT functions for loops
perl-Loop-Flow-Object-0.03-alt1.noarch.rpm perl module Loop-Flow-Object
perl-Loop-Sustainable-0.02-alt1.noarch.rpm Provides sustainable loop
perl-Lorem-0.22-alt1.noarch.rpm Document creation
perl-LotusNotes-LoadExport-1.01-alt1.noarch.rpm perl module LotusNotes-LoadExport
perl-Lucene-QueryParser-1.04-alt1.noarch.rpm perl module Lucene-QueryParser
perl-LucyX-Search-NullTermQuery-0.006-alt1.noarch.rpm Lucy query extension for NULL values
perl-LucyX-Search-WildcardQuery-0.06-alt1.noarch.rpm Lucy query extension
perl-LucyX-Simple-0.008002-alt1.noarch.rpm Simple L<Lucy> Interface
perl-LucyX-Suggester-0.005-alt1.noarch.rpm suggest terms for Apache Lucy search
perl-LucyX-Suggester-scripts-0.005-alt1.noarch.rpm LucyX-Suggester scripts
perl-Lustre-Info-0.02-alt1.noarch.rpm perl module Lustre-Info
Advertisement
Advertisement